+++
title= "How to Improve On-Page SEO: Infographics"
date = 2021-07-21T00:56:55+08:00
tags = ["seo"]
type = "blog"
categories = ["seo"]
banner = "img/banners/banner-3.jpg"
+++

## One Tip to Improve On-Page SEO: Use More Mini-Infographics (A Guide)

 ![img](https://i.marketingprofs.com/assets/images/articles/lg/212007-text-image-mini-infographic-lg.jpg)] 

B2B marketers have tried everything under the sun to improve on-page SEO. Using all the keywords. Writing 5,000-word posts. And then going off-page to promote the post to everyone.

But you're still missing one key ingredient in your on-page SEO optimization: mini-infographics.

With them, your content engages. Without them... not so much.

So what does the engagement for all those long posts of yours, as measured by bounce rates, look like?

Here they are by industry:

Source: The Daily Egg

If your bounce rates are shockingly high, you're not alone.

There is so much content available online. Why should people in the busy B2B sector read your post and not someone else's?

Marketers need to get creative. Don't rely on just text to do your work for you. Start creating visuals—specifically, mini-infographics.

Let me explain why.

How Do Mini-Infographics Improve On-Page SEO?

There is one reason why B2B marketers are struggling to retain audiences with their content. Online users don't want to read that much text. They don't have the time.

Users want only two things from your content: (1) to skim through it and (2) to find the answer they were looking for.

Source: Venngage

That's what we learned by conducting a focus group among our B2B customers a few years ago. We showed them two articles that we scrolled through very quickly.

The feedback we received included two major points:

Text that is divided into headers makes it easier to skim. The readers were drawn to articles that included visuals every 100 words or so.

In other words, to reduce bounce rates, you need to change your text-to-visual ratio.

Source: Venngage

That's because attention spans have been decreasing over the years. If content doesn't grab a user's interest within seconds, that person will leave your page.

What's one of the on-page SEO factors that helps you rank—and reduces bounce rates? Relevant visual content.

You need to shorten the text you write. And to get your message across to your audience, instead of the text you would have used, use more mini-infographics.

How to Design Graphics That Help Your Page Rank on Google

Don't have a graphic designer on staff? That's fine, you can always use an online infographic maker. Online platforms offer templates for you to customize.

But don't let more options confuse your goal. This on-page optimization exercise is about creating mini-infographics, like this map:

Source: Venngage

You want to summarize your information and give visitors a reason to move on to the next section of your text. And then the next, and the next, and so on—till they reach the end of the page.

The intent is to encourage more micro-conversions—small steps that lead users to major conversions, such as signing up for a newsletter and completing a sale.

Even if you have a longer visual, break it up into smaller graphics. For example, a longer presentation can easily be divided into smaller sections, like this:

Source: Venngage

Insert those mini-infographics every 100-200 words to break the monotony of text and move readers down the page.

To create mini-infographics, follow a few design tips when using templates:

Keep plenty of white space between elements.

Don't go overboard with color use; 2-3 colors are enough.

Use color contrasts and relationships to build out a color scheme, explained in this video:

Use a maximum of 2-3 fonts—and use readable fonts for the body.

Keep elements aligned so the visual looks professional.

Group elements according to hierarchy or similarities.

Icons are your friends; they tell a story in an instant.

Use branding elements, such as your logo, colors, and fonts.

Use those tips to design mini-infographics that make your pages more attractive to audiences. That's how you can lower bounce rates and get your website to rank on Google.

What Kinds of Mini-Infographics Influence On-Page SEO Factors?

If you've seen infographics, they tend to be longer and larger visuals because they attempt to be comprehensive. But to improve on-page SEO optimization, you need shorter and smaller graphics.

Mini-infographics summarize key points. They work alongside text hierarchy—titles, headers, and subheadings—as follows:

Source: Venngage

What does a content summary look like in action? Here's an example of a mini-infographic that's packed with information:

Source: Venngage

Note how the graphic is still short enough to give users a reason to stay on your page. Plus, it encourages them to click on your call-to-action button.

That graphic could easily have been a long page that users would have to scroll forever to get through. Instead, the mini-infographic gives them the information they need at a glance.

Charts, like the following example, tend to draw the eye of the user. The chart uses bold colors and fonts to get to the point. It's easy to skim, and it gives the reader a break from just text.

Source: Venngage

One more important point when you're adding visuals like mini-infographics to your posts: Don't forget about optimizing the images—particularly by adding alt-text, which can also help your website rank on a keyword.

Conduct On-Page SEO Analysis to Incorporate Mini-Infographics

I've shared why you should create mini-infographics for your new posts. But what about the existing content on your site? It's time to do some on-page SEO analysis.

Use Google Analytics to study your bounce rates. What are the keywords for those pages? What's the bounce rate and rank for pages with those keywords?

Not all pages will need a revamp. But if your bounce rates are higher than other pages on the same topic, those pages will need mini-infographics.

After updating a page with a high bounce rate, we found a huge drop in bounces:

Source: Venngage

Now it's your turn to experiment on your site. Update your text to be more skimmable. Use shorter sentences and more headings. Write a line summing up your points.

Then add visuals like mini-infographics and charts every few hundred words.

What I've suggested in this article may be a new method for you. But if you practice creating more graphics, you will get better at it.

And the result will be higher-ranking pages with lower bounce rates. That's a win-win in any book.

More Resources on On-Site SEO

SEO Strategies Every Company Needs to Master [Infographic]

Nine Tips for Creating SEO-Friendly Content [Infographic]

Seven Tools for Creating Infographics Without Using Photoshop

 ## Global Freelancer SEO Services Markets Report 2021-2030: On-Page SEO, Off-Page SEO, Technical SEO, Others

 ![img](https://s.yimg.com/uu/api/res/1.2/HP.E8HUfnyGeLtMAKwLgAQ--~B/aD01ODt3PTQ4MDthcHBpZD15dGFjaHlvbg--/https://media.zenfs.com/en/globenewswire.com/93d5b27580f67db722dd7c112e43e8bc)] 

Dublin, July 20, 2021 (GLOBE NEWSWIRE) -- The "Freelancer SEO Services Global Market Report 2021: COVID-19 Impact and Recovery to 2030" report has been added to ResearchAndMarkets.com's offering.



The global freelancer seo services market is expected to grow from $8.81 billion in 2020 to $9.53 billion in 2021 at a compound annual growth rate (CAGR) of 8.2%.

Major players in the freelancers' SEO services market are SEO.London by Lukasz Zelezny, Hunter Canada, Mozalami SEO, 100 Percent Organic SEO, Ready Steady Go SEO, Akash Srivastava, SEO In Greece, RDLDIGITAL, Paper Gecko Ltd., and Omrseo.

The growth is mainly due to the companies rearranging their operations and recovering from the COVID-19 impact, which had earlier led to restrictive containment measures involving social distancing, remote working, and the closure of commercial activities that resulted in operational challenges. The market is expected to reach $19.54 billion in 2025 at a CAGR of 19.7%.



The freelancers' SEO services market consists of the sales of SEO services and related goods by freelancers or independent contract workers that provide search engine optimization services for businesses. These freelancers are a non-permanent workforce who charges their clients based on man-hours, results-based, and click-based among many other models. Only goods and services traded between entities or sold to end consumers are included.



Voice search is a growing trend in freelancers' SEO services market as they are gaining popularity in day-to-day life. The increased use of smartphones and smart speakers has greatly increased the potential for voice searches. According to research, voice search is at least used once daily by about 59% among 18 - 24 age group, 65% of 25 to 49-year-old customers, while 57% of people over 50 age group uses it daily. Voice searching behavior declines markedly in the 55+ age group and is higher in younger age groups.

Story continues

According to the latest data from the Global Web Index via Datareportal, this is now a common behavior with an average of 45% using voice commands or voice search. 60% of Indians followed by 56% of Indonesians and 55% of Chinese internet users aged between 16 and 64 are using a voice interface every month over devices like mobile, desktop, tablet, and more. Voice assistants are used as an interesting innovation as virtual assistants are becoming better and better at understanding the natural speech patterns of customers.



The freelancers' SEO services market covered in this report is segmented by type into on page SEO; off page SEO; technical SEO; others. It is also segmented by application into large enterprises; small and mid-sized enterprises (SMEs).



Many companies are hiring an in-house SEO team to cater to the unique needs of the organization and this is expected to hinder the growth of freelancers' SEO services market. As the size of the organization grows, it is obligatory that the company create an in-house SEO team and streamline the process. In-house SEO team ensures cost-saving, the faster turnaround time for campaigns and considers brand objective, data security, quality of resources as well. It also allows control of the control on the output.

According to the Association of National Advertisers in the USA, members with in-house agency increased from 58% in 2013 to 78% in 2018. In March 2019, the WPP agency announced that Walmart decided to take digital advertising in-house. Additionally, there are online SEO tools that help anyone to optimize the search, avoiding the need to consult a third-party search engine optimization services provider. The increase in in-house teams and availability of SEO online impacting the growth of freelancers' SEO services market negatively.



Increasing internet penetration across the globe is expected to boost the freelancer SEO services market during the forecast period. An increase in internet penetration in day-to-day life resulted in to increase in various kinds of digital activity. As the internet becomes more important as a marketing tool for businesses, SEO is one of the most effective ways to attract more traffic to a website.

E-commerce activity is highly influenced through a web search and 81% of people search online for a product or service. For instance, in 2020, the COVID-19 pandemic has surged internet use by 50% to 70% as millions of people are going online for entertainment, online shopping, and other activities.

Key Topics Covered:



1. Executive Summary



2. Freelancer SEO Services Market Characteristics



3. Freelancer SEO Services Market Trends and Strategies



4. Impact of COVID-19 on Freelancer SEO Services



5. Freelancer SEO Services Market Size and Growth

5.1. Global Freelancer SEO Services Historic Market, 2015-2020, $ Billion

5.1.1. Drivers of the Market

5.1.2. Restraints on the Market

5.2. Global Freelancer SEO Services Forecast Market, 2020-2025F, 2030F, $ Billion

5.2.1. Drivers of the Market

5.2.2. Restraints on the Market



6. Freelancer SEO Services Market Segmentation

6.1. Global Freelancer SEO Services Market, Segmentation by Type, Historic and Forecast, 2015-2020, 2020-2025F, 2030F, $ Billion

on Page SEO

Off Page SEO

Technical SEO

Others

6.2. Global Freelancer SEO Services Market, Segmentation by Application, Historic and Forecast, 2015-2020, 2020-2025F, 2030F, $ Billion

Large Enterprises

Small and Mid-Sized Enterprises (SMEs)

7. Freelancer SEO Services Market Regional and Country Analysis

7.1. Global Freelancer SEO Services Market, Split by Region, Historic and Forecast, 2015-2020, 2020-2025F, 2030F, $ Billion

7.2. Global Freelancer SEO Services Market, Split by Country, Historic and Forecast, 2015-2020, 2020-2025F, 2030F, $ Billion



Companies Mentioned

SEO.London by Lukasz Zelezny

Hunter Canada

Mozalami SEO

100 Percent Organic SEO

Ready Steady Go SEO

Akash Srivastava

SEO In Greece

RDLDIGITAL

Paper Gecko Ltd.

Omrseo

RioLt

Seowithdavid

Drupal Ninja

Aaron Knight

Kanoobi Media

Iunisov.Com

Ashmith.com

Zay Creative

Quantenfrosch

JH Consulting, Inc.

Kevinleary.net

Kevin Wiles

Krystian Szastok

Chris Walker

Jonathan Alonso

For more information about this report visit https://www.researchandmarkets.com/r/83v2r0

CONTACT: CONTACT: ResearchAndMarkets.com Laura Wood, Senior Press Manager press@researchandmarkets.com For E.S.T Office Hours Call 1-917-300-0470 For U.S./CAN Toll Free Call 1-800-526-8630 For GMT Office Hours Call +353-1-416-8900





 ## Ways To Increase Your Ecommerce Revenue Using SEO

 ![img](https://www.valuewalk.com/wp-content/uploads/2021/07/pexels-anna-shvets-4482900-scaled.jpg)] 

Many eCommerce businesses invest in paid ads and social media but pay no or little attention to SEO. However, SEO tends to give the highest ROI and only requires up-front effort. Once your website starts ranking on search results, you make money on autopilot and have little or no recurring expense.

In this article, you can learn SEO tactics to increase the ranking of your website.

What is SEO?

SEO (search engine optimization) is a simple way of making your website more visible on search engine results pages (SERPs). You need to improve four areas: On-Page SEO, Technical SEO, Off-Page SEO (link building), and On-site SEO (User experience)

Like the rest of the world, the marketspace in Australia keeps growing and diversifying each day, and Sydney has become the financial centre of the country. Australian Internet Advertising is one of the SEO Agency Sydney that specializes in optimizing SEO for E-commerce stores. They provide all types of digital marketing services, helping a business to reach its targeted audiences. It is the fastest-growing agency and fulfils business needs and aims to give results that exceed expectations.

Points to focus on increasing the SERP ranking

Keyword research

It’s the first and the important part of an SEO service to find the types of keywords customers are searching for. You can find relevant keywords using Amazon search box suggestions, Google search box suggestions, competitor analysis, and using SEO tools like Ahref, SEMrush, etc.

E-commerce website structure

The structure and design of an ecommerce play an important role. The website should be easy to navigate so that users can reach the desired product page with just a few clicks and make the purchase. Placement of category pages, related products, and top products is highly important.

On-page SEO strategy

It’s all about making sure your keywords are mentioned at the right places when it comes to on-page SEO for ecommerce. Place your primary keyword in Title, URL, Meta Description, Alt-Txt, H1 Heading, Introduction, and Conclusion. Mention LSI and other related keywords throughout the content of the webpage.

Technical SEO

Make sure the website has a proper sitemap and robots.txt file. This ensures that Search Engines crawlers can easily enter and exit your website effectively. Having a fast loading and mobile responsive website is also important.

Local SEO

To increase your local organic growth by various strategies and procedures, local SEO is crucial.

Content Marketing

Make use of content marketing and write relevant blogs about the products and services of your business. This will help you to create internal linking and drive targeted organic visitors.

Link building

It’s simply a technique of improving the authority of our website by improving your content and Links. It can be done through resource page link building, broken link building, stealing competitors’ links, and partnering with influencers.

Measuring SEO success for an E–Commerce website

Tracking and improving is the only solution to excel in the field of SEOs. It can be done in 2 popular ways, first using an SEO tool like Ahrefs and other by creating an SEO dashboard in your analytics account.

Conclusion

There are many ways for generating online traffic. SEO is the one with the best ROI in the long term. Social media and paid ads can bring instant traffic. However, SEO can bring steady monthly traffic once your website starts ranking.

 ## An In-Depth Guide to Technical SEO

 ![img](https://cdn.business2community.com/wp-content/uploads/2021/07/flat-website-architecture-900x497.png)] 

Keyword research, high-quality content, link building, on-page SEO—these tactics help you improve organic rankings. But search engine optimization strategies will only take you so far.

Getting your technical SEO house in order is the final piece of the puzzle in site ranking.

Technical SEO is about giving your searchers a top-quality web experience. People want fast-loading web pages, stable graphics, and content that’s easy to interact with.

In this article, we’ll explore what technical SEO is and how it impacts website growth.

What is technical SEO (and how does it impact growth)?

Technical SEO is the process of making sure your website meets the technical requirements of search engines in order to improve organic rankings. By improving certain elements of your website, you’ll help search engine spiders crawl and index your web pages more easily.

Strong technical SEO can also help improve your user experience, increase conversions, and boost your site’s authority.

The key elements of technical SEO include:

Crawling

Indexing

Rendering

Site architecture

Even with high-quality content that answers search intent, provides value, and is ripe with backlinks, it will be difficult to rank without proper technical SEO in place. The easier you make life for Google, the more likely your site will rank.

It’s been suggested that the speed of a system’s response should mimic the delays humans experience when they interact with one another. That means page responses should take around 1-4 seconds.

If your site takes more than four seconds to load, people may lose interest and bounce.

Page speed doesn’t just impact user experience, but could also affect sales on ecommerce sites.

As Kit Eaton famously wrote in Fast Company:

“Amazon calculated that a page load slowdown of just one second could cost it $1.6 billion in sales each year. Google has calculated that by slowing its search results by just four-tenths of a second they could lose 8 million searches per day—meaning they’d serve up many millions fewer sponsored ads.”

Proof that a slow-loading site, just one element of technical SEO, can directly impact business growth.

Should you use a technical SEO consultant or do your own audit?

You should conduct a technical SEO audit every few months. This helps you monitor technical factors (that we’re about to dive into), on-page factors like site content, and off-page factors like backlinks.

Tools like Ahrefs make running your own audit easier. They’re also cheaper and faster than hiring a technical SEO consultant. A consultant may take weeks or even months to complete an audit, whereas conducting your own can take hours or days.

That said, expert insights from an experienced consultant can be important if you:

Are deploying a new website and want to make sure it’s set up properly

Are replacing an old site with a new one and want to ensure a seamless migration

Have multiple websites and need insights into whether you should optimize them seaprately or merge them together

Run your web pages in multiple languages and want to ensure each version is properly set up

Either way, to get technical SEO right, prioritize a well-rounded understanding of the basics.

1. Crawling and indexing

Search engines need to be able to identify, crawl, render, and index web pages.

Website architectures

Web pages that aren’t clearly connected to the homepage are harder for search engines to identify.

You likely won’t have any problem getting your homepages indexed. But pages that are a few clicks away from the homepage often cause crawling and indexing issues for a number of reasons, especially if there are too few internal links pointing to them.

Flat website architectures where web pages are clearly linked to each other helps avoid this outcome:

Using a pillar page structure with internal links to relevant pages can help search engines index your site’s content. As homepages often have a higher page authority, connecting them makes pages more discoverable to crawling search engine spiders.

XML sitemaps

XML sitemaps provide a list of all the most important pages on your site. While they may seem redundant in lieu of mobile responsiveness and other ranking factors, Google still considers them to be important.

XML sitemaps tell you:

When a page was last modified

How frequently pages are updated

What priority pages have on your site

Within Google Search Console, you can check the XML sitemap the search engine sees when crawling your site. Here’s Yoast.com’s XML sitemap:

Use the following tools to regularly check for crawl errors and to see if web pages are indexed by search engine spiders:

Screaming Frog

Screaming Frog is the industry gold standard for identifying indexing and crawling issues:

When you run it, it extracts the data from your site and audits for common issues, like broken redirects and URLs. With these insights, you can make quick changes like fixing a 404 broken link, or plan for longer-winded fixes like updating meta descriptions site-wide.

Coverage report and Check indexing with Google Search Console

Google Search Console has a helpful Coverage report that tells you if Google is unable to fully index or render pages that you need to be discovered:

Sometimes web pages may be indexed by Google, but incorrectly rendered. That means that although Google can index the page it’s not crawling 100% of the content.

2. Site structure

Your site structure is the foundation of all other technical elements. It will influence your URL structure and robots.txt, which allows you to decide which pages search engines can crawl and which to ignore.

Many crawling and indexing issues are a result of poorly thought-out website structures. If you can build a clear site structure that both Google and searchers can easily navigate you won’t have crawling and indexing issues later on.

In short, simple website structures help you with other technical SEO tasks.

A neat site structure logically links web pages so neither humans nor search engines are confused about the pages’ order.

Orphan pages are those that are cut off from other pages due to not having internal links. Site managers should avoid these because they’re vulnerable to not being crawled and indexed by search engines.

Tools like Visual Site Mapper can help you see your site structure clearly and assess how well pages are linked to each other. A solid internal linking structure demonstrates the relationship between your content for Google and users alike:

Breadcrumbs navigation is the equivalent of leaving lots of clues for search engines and users about the kind of content they can expect.

Breadcrumbs navigation automatically adds internal links to subpages on your site:

This helps clarify your site’s architecture and makes it easy for humans and search engines to find what they’re looking for.

Structured data

Using structured data markup code can help search engines better understand your content. As a bonus, it also enables you to be featured in rich snippets which can encourage more searchers to click through to your site.

Here’s an example of a review rich snippet in Google:

You can use Google’s Structured Data Markup Helper to help you create new tags.

URL structure

Long complicated URLs that feature seemingly random numbers, letters, and special characters confuse users and search engines.

URLs need to follow a simple and consistent pattern. That way, users and search engines can easily understand where they are on your site.

On CXL, all the pages on the webinar hub include the /webinar/subfolder to help Google recognize that these pages fall under the “webinar” category:

Google clearly recognizes it this way, too. If typing https://cxl.com/webinar/ into the search bar, Google pulls up relevant webinar results that fall under this folder:

Site links within the results also show that Google recognizes the categorization:

3. Content quality

High-quality content is undoubtedly one of your site’s strongest assets. But there’s a technical side to content, too.

Duplicate content

Creating original, high-quality content is one way to ensure sites don’t run into any duplicate content issues. Duplicate content can be a problem even where the standard is generally high.

If a CMS creates multiple versions of the same page on different URLs, this counts as duplicate content. All large sites will have duplicate content somewhere—the issue is when the duplicate content is indexed.

To avoid duplicate content from harming your rankings, add the noindex tag to duplicate pages.

Within Google Search Console, you can check if your noindex tags are set up by using Inspect URL:

If Google is still indexing your page, you’ll see a “URL is available to Google” message. That would mean that your noindex tag hasn’t been set up correctly. An “Excluded by noindex tag” pop-up tells you the page is no longer indexed.

Google may take a few days or weeks to recrawl those pages you don’t want indexed.

Use robots.txt

If you find examples of duplicate content on your site, you don’t have to delete them. Instead, you can block search engines from crawling and indexing it.

Create a robots.txt file to block search engine crawlers from pages you no longer want to index. These could be orphan pages or duplicate content.

Canonical URLs

Most web pages with duplicate content should just get a noindex tag added to them. But what about those pages with very similar content on them? These are often product pages.

For example, Hugo & Hudson sells products for dogs and hosts similar pages with slight variations in size, color, and description:

Without canonical tags, listing the same product with slight variations would mean creating different URLs for each product.

With canonical tags, Google understands how to sort the primary product page from the variations and does not assume variant pages are duplicates.

4. Site speed

Page speed can directly impact a page’s ranking. If you could only focus on one element of technical SEO, understanding what contributes to page speed should be top of the list.

Page speed and organic traffic

A fast-loading site isn’t the only thing you need for high-ranking pages, but Google does use it as a ranking factor.

Using Google PageSpeed Insights, you can quickly assess your website’s loading time:

CDNs and load time

CDNs or content delivery networks reduce the overall data transfer between the CDN’s cache server and the searcher. As it takes less time to transfer the file, the wait time decreases and the page loads faster.

But CDNs can be hit and miss. If they’re not set up properly, they can actually slow your website loading times down. If you do install CDNs, make sure to test your load times both with and without the CDN using webpagetest.org.

Mobile responsiveness

Mobile-friendliness is now a key ranking factor. Google’s mobile-friendly test is a simple usability test to see if your web pages are operative and provide a good UX on a smartphone.

The web app also highlights a few things site managers can do to improve their pages.

For example, Google recommends using AMPs (Accelerated Mobile Pages) which are designed to deliver content much faster to mobile devices.

Redirects and page speed

Redirects can improve sites by ensuring there aren’t broken links leading to dead-end pages or issues surrounding link equity and juice. But lots of redirects will cause your website to load more slowly.

The more redirects, the more time searchers spend getting to the desired landing page.

Since redirects slow down website loading times, it’s important to keep the number of page redirects low. Redirect loops (i.e. when multiple redirects lead to the same page) also cause loading issues and error messages:

Large files and load time

Large file sizes like high-res photos and videos take longer to load. By compressing them, you can reduce load time and improve the overall user experience.

Common extensions like GIF, JPEG, and PNG have lots of solutions for compressing images.

To save time, try compressing your images in bulk with dedicated compression tools like tinypng.com, and compressor.io.

Aim for PNG image formats as they tend to achieve the best quality to compression ratio.

WordPress plugins like SEO Friendly Images and Smush can also guide you on how to compress your images:

When using image editing platforms, selecting the “Save for web” option can help ensure that images aren’t too big.

It’s a juggling act, though. It’s all very well compressing all your large files but if it negatively impacts user experience by showing a poor quality web page, it would be better not to compress the files in the first place.

Cache plugins and storing resources

The browser cache saves resources in a visitors computer when they frequent new websites. When they return for a second time, these saved resources serve the needed information at a faster rate.

Combining W3 Total Cache’s caching and Autoptimize’s compression can help you improve your cache performance and load time.

Plugins

It’s easy to add multiple plugins to your site—but take care not to overload it as they can add seconds to your pages’ load time.

Removing plugins that don’t serve an important purpose will help improve your page’s load time. Limit your site to only running off plugins that add tons of value.

You can check if plugins are valuable or redundant through Google Analytics. In a test environment, manually turn plugins off (one at a time) and test load speed.

You can also run live tests to see if disabling certain plugins affects conversions. For example, turning off an opt-in box plugin and measuring if that affects opt-in rate.

Alternatively, use a tool like Pingdom tools to measure if plugins are affecting loading speeds.

Third-party scripts

On average, each third-party script adds an additional 34 seconds to page load time.

While some scripts like Google Analytics are necessary, your site may have accumulated third-party scripts that could easily be removed.

This often happens when you update your site and do not remove defunct assets. Artifacts from old iterations waste resources and affect speed and UX. You can use a tool like Purify CSS to remove unnecessary CSS, or ensure your developers check and purge consistently.

Conclusion

OPtimizing technical SEO isn’t a one-size-fits-all process. There are elements that make sense for some websites but not all, and this will vary based on your audience, expected user experience, customer journey, goals, and the like.

By learning the fundamentals behind technical SEO you’ll be more likely to create and optimize web pages for Google and visitors alike. You’ll also be able to perform technical SEO audits or understand a professional’s methods.

Ready to outrank the competition with technical SEO? Sign up for the CXL technical SEO course today.

 ## Why are URLs Important for SEO?

 ![img](https://cdn.business2community.com/B2C_FB.png)] 

When you think of SEO, targeted keywords are the first thing that comes to mind. But how much thought have you put into optimizing your URL for SEO?

SEO-friendly URLs are essential for ensuring your target audience finds your website. With more than 3.5 billion Google searches every day, you need every advantage you can get if you’re going to compete in the vast online marketplace.

With that in mind, let’s examine what a proper SEO URL structure looks like and how to optimize it for Google for maximum traffic.

What is a URL?

When it comes to a properly optimized URL, the first step is knowing the difference between a URL and a domain name.

URL stands for Uniform Resource Locator and is used to reference the location of a web resource on a computer network and the mechanism used to retrieve it. On the other hand, a domain name is merely a part of your URL.

Let’s examine the key part of a URL: bitly.com/blog.

In this example, “bitly.com” is the domain name. The “/” is the path. And finally, “blog” is the web page itself.

When creating a website, an SEO-friendly URL is essential for properly optimizing your page for search engines like Google, ensuring your target audience can find you.

Why Do URLs Matter for SEO?

Many see keywords as the only aspect of successful SEO. URL optimization is an incredibly important, yet often overlooked, part of getting an edge over your competitors.

Effective URL optimization allows you to take advantage of the following benefits:

Search engine friendly URLs are a ranking factor, and therefore impact where your site exists in search results.

Makes your site easier to navigate for the end-user. This can impact how long someone spends on your site and how many pages they click through, which can also improve your SEO.

Search engine crawlers make connections between pages through their URLs, ensuring even more SEO juice for your website.

While SEO-friendly links are not the be-all and end-all of SEO, or even the most important part of it, it’s vital that you don’t neglect a strong SEO URL as part of your online strategy.

Tips for Creating SEO-Friendly URLs

Whenever you’re crafting your SEO strategy, it’s important to consider the areas your competitors are overlooking.

We’ve put together a series of SEO URL best practices to help you take your site to the next level.

1. Match URLs to a Page Title

The best URL structure for SEO success is to have your URL correspond with the content on the website. Your URL is one of the first things search engine crawlers examine. Most website administrators do this naturally, but it’s a good idea to double-check that your URL and page title have the same search intent.

2. Keep URLs Simple

A key part of URL structure SEO best practice is to appeal to both Google and your target audience. Removing unnecessary words from your URLs enables both man and machine to understand what’s on the page at a mere glance.

Get into the habit of eliminating any words that don’t add meaning. For instance, common words such as “and” and “the” can be removed.

Here’s an example of how this might work in practice:

https://www.bitly.com/blog/how-to-optimize-url-structure-for-seo

vs.

https://www.bitly.com/blog/optimize-url-structure-for-seo

See the difference?

The second example still uses the same keywords but removes any extra words that don’t add meaning. A human can look at the second URL and immediately know what they’re going to see when they click on the link.

3. Create Descriptive URLs

Google’s complex algorithms rely on accessibility and usability to rank sites in a way that best meets the needs of the end-user. The more descriptive a URL is and the more readable for a human, the better it is for Google.

Make an effort to use a descriptive domain that’s relevant to your brand and what it does to maximize readability. This should be direct, to the point, and easy to remember.

4. Stick to Lowercase Letters

Readability is essential in any good SEO URL. For this reason, we recommend avoiding uppercase letters to improve your search engine rankings.

Mixing in uppercase and lowercase letters reduces readability and makes your URL look messy, creating a sense of distrust around your site. The structure can also confuse search engine crawlers and users. Particularly when it comes to memorability, capital letters tend to confuse things.

5. Eliminate Punctuation from URLs

Search engine friendly URLs will never include punctuation. While punctuation is acceptable and necessary for page titles and meta descriptions, it tends to be confusing in URLs.

Even today, search engine crawlers struggle with punctuation. It also makes URLs more difficult to remember for users because it’s not as straightforward as just words.

While it may not be grammatically sound, removing punctuation is one of the easiest ways to conform to URL SEO best practices.

6. Avoid Adding Subfolders to Your URLs

Part of making URLs as readable and friendly as possible involves making them short, straightforward, and to the point.

Within the structure of your website, you’ll likely have lots of subfolders. Many web builders automatically use the subfolder location as the default URL. WordPress, for example, is especially guilty of this.

Search engines find sites more difficult to crawl when URLs contain subfolders, which can result in lower rankings for your page.

7. Use Hyphens, Remove Underscores

Breaking up words within your URLs with hyphens improves readability for the end-user and search engines alike.

One of the most hotly contested debates in the SEO URL world is whether hyphens or underscores are the preferred option for Google.

Google does not see hyphens and underscores as interchangeable. Hyphens are viewed as word separators, whereas underscores are word joiners.

In other words, if you took the URL of this page and converted the hyphens to underscores, Google would read the entire URL as a single word. Underscores may make your page harder for search engines to index correctly and, therefore, more difficult for your target audience to find.

8. Use a Primary Keyword

In our guide detailing essential steps to improve SEO for any website, we delve into the importance of keywords.

As with anything in the world of SEO, if you can insert a relevant keyword somewhere, it’ll be a huge benefit for your optimization.

When creating SEO-friendly URLs, do your best to include the primary keyword. Consider what your primary keyword is for that specific page and be sure to use it somewhere in your URL.

If your URLs are relevant to the content on the page, chances are you’re already doing this naturally.

9. Stay Away from Dynamic Parameters

What is a dynamic URL?

A dynamic URL is simply a URL that runs a script. The easiest way to spot these is to look for special symbols within the URL. They tend to be found on eCommerce websites.

Google explicitly states they prefer web URLs to be static. For an SEO URL structure, that helps you be found by the right people, so always stick to static URLs.

Consider using Bitly’s link shortener to pinpoint and remove dynamic parameters.

10. Use Canonical Tags Where Needed

If your website has different versions of the same page, you need to make sure Google doesn’t index each version as a separate page.

Different versions could include:

http://bitly.com

www.bitly.com

https://bitly.com

These URLs all lead to the same place, so it’s important to make sure Google sees these links as consolidated. A backlink from one of the above URLs should count for all versions of the page.

Using the canonical tag on each variation of the same page communicates to Google that all versions should be considered the same URL.

The canonical tag is a more technical part of URL SEO that often gets overlooked, but it can make or break your rankings.

11. Manage Redirects with Care

Webpage redirects are frustrating for the end-user and negatively impact their experience. Nothing makes people leave your website faster than irritation. Since Google started factoring the user experience into their rankings, bounce rates and time spent on a website both play a role in where your site ranks on search engine pages.

Search engine-friendly URLs keep redirects to a minimum or eliminate them entirely. Removing redirects speeds up the user experience and improves usability, information that is then shared with Google.

Sometimes, search engines won’t follow the redirects correctly, if at all. That means an entire webpage (and the time you spent building it) can go completely to waste.

But it happens, sometimes you just can’t avoid redirects. So what do you do if you need to add a redirect to your website?

The correct SEO URL strategy is to utilize a 301 redirect rather than a permanent redirect. 301 redirects transfer 90-99% of ranking power to the new page, so you won’t be penalized by Google for inserting a necessary redirect.

12. Choose the Right Domain Names for Future Websites

Anyone familiar with the domain name market is aware that certain domain names can cost thousands of dollars to purchase. There’s a reason for this.

Many premium domain names are already stuffed full of keywords naturally. Shorter domains featuring commonly searched keywords will always rank better.

While this is less important than it used to be (and certainly no reason to ditch your current domain), it’s something to keep in mind when setting up future websites.

Side note: when it comes to your closest competitors, Google will often differentiate between them using brand queries. If your domain name is a closer match for the query you’re trying to rank for, this will give your site an extra push.

13. Futureproof Your URLs

It’s not uncommon for certain pages, especially blogs, to contain a date. For example, if you’re writing about top SEO tips relevant right now, you may include “2021” in the title.

Just because you include it in the post title doesn’t mean it should be featured in the URL. This can cause your page to become outdated, so be sure to futureproof your URLs by avoiding dates.

As your post gets older, you may choose to update it with evergreen content to keep it relevant. By leaving the date out of your SEO URL structure, you can keep the same URL and all the link juice that goes with it for longer.

14. To Trailing Slash or Not to Trailing Slash?

It may seem like a relatively insignificant issue, but the constant debate rages on over whether URLs should contain the trailing slash.

The trailing slash is often seen at the end of URLs and looks like this: “/”

For years, Google’s position on the trailing slash was unclear. But Google has reaffirmed repeatedly that the choice is up to you. The trailing slash has no impact on your ranking.

Although best practices indicate that you should use the trailing slash, this is one of those rare occasions where the trailing slash can be ignored. Google’s own URLs don’t contain the trailing slash.

Our advice is that you should look to maintain consistency in your use of the trailing slash. If you use it on your home page, use it on all your other pages as well. If you don’t use it on one page, then leave it out on your other pages either. It’s also wise to consolidate both versions of your trailing slash/no trailing slash page with a canonical tag.

15. Use Custom URLs

With some links, it’s not always possible to follow SEO URL best practices. Sometimes URL structure may be out of your hands, or you don’t control the subfolders on the website.

So, what do you do in this situation?

Take advantage of branded links instead. Branded links have a strong SEO URL structure that can help you to bypass lack of control over URLs.

By using a branded short url, you can include a custom domain and slash tag. Instead of a random string of characters that will only deter site visitors, you can create a link that meets all the requirements of URL SEO.

